Trusteer/Rapport Issue

Pndrgnsvc

macrumors 6502
Original poster
Jun 13, 2008
454
26
Georgetown, Texas
Does anyone know if Trusteer Rapport v 3.6.1507.30 is compatible with El Capitán?

The Problem: The Trusteer Rapport Address Bar icon is not present, even though I have the preference enabled.

Is this an OS issue, perhaps relating to security, or does the problem stem from Trusteer itself?

Suggestions & musings most welcome.
 

ukdoodlebug

macrumors newbie
Oct 8, 2015
11
1
St Ives, Cambridgeshire, UK
A one-time bump. I really am surprised that some kind soul has yet to share their thoughts...
It seems from their support site that their support only extends as far as Yosemite; Safari 8 and Firefox 40. I've sent them two tickets in the past week about the issue you raised - but apart from the auto-reply, they haven't responded.

I've discussed it with my bank who have said it's OK to carry on without it - but I have to say I miss it - it gives me an extra layer of confidence with so many sites - many of them financial.
 
  • Like
Reactions: rpage935

PresslyM

macrumors newbie
Oct 9, 2015
2
0
Does anyone know if Trusteer Rapport v 3.6.1507.30 is compatible with El Capitán?

The Problem: The Trusteer Rapport Address Bar icon is not present, even though I have the preference enabled.

Is this an OS issue, perhaps relating to security, or does the problem stem from Trusteer itself?

Suggestions & musings most welcome.
This also happened to me right after I updated to El Capitan. When I phoned their tech support, they confirmed Trusteer is not currently compatible. As of today, 10/09/2015, there is no update that works. :(
 

Pndrgnsvc

macrumors 6502
Original poster
Jun 13, 2008
454
26
Georgetown, Texas
Many thanks to you both.

FWIW, I received an email advising that Trusteer is not compatible with El Capitán, but (of course) no ETA was given for resolution.

I suspect (hope) that their sponsors (such as USAA) will prompt a compliant release.
 
  • Like
Reactions: rpage935

ukdoodlebug

macrumors newbie
Oct 8, 2015
11
1
St Ives, Cambridgeshire, UK
Many thanks to you both.

FWIW, I received an email advising that Trusteer is not compatible with El Capitán, but (of course) no ETA was given for resolution.

I suspect (hope) that their sponsors (such as USAA) will prompt a compliant release.
I'm amazed at what they're doing (or rather, not doing). I've always assumed that the banks pay them to provide this service - I can't believe that IBM just do it out of the goodness of their corporate hearts! I'd love to know how the arrangement works.

BTW, they are now supporting Firefox 41 - which is useless as they aren't supporting the OS under which it runs on my Mac.
 

mattglaz

macrumors newbie
Oct 15, 2015
1
0
I'm amazed at what they're doing (or rather, not doing). I've always assumed that the banks pay them to provide this service - I can't believe that IBM just do it out of the goodness of their corporate hearts! I'd love to know how the arrangement works.

BTW, they are now supporting Firefox 41 - which is useless as they aren't supporting the OS under which it runs on my Mac.
I downloaded on all browser platforms but not working - HSBC were not even aware until I informed them today... irritating as they and other banks prompt us to utilise trusteer or else!...
 

ukdoodlebug

macrumors newbie
Oct 8, 2015
11
1
St Ives, Cambridgeshire, UK
I downloaded on all browser platforms but not working - HSBC were not even aware until I informed them today... irritating as they and other banks prompt us to utilise trusteer or else!...
Exactly! I just don't get it. BTW as I write this, Rapport is now supporting Safari 9, which comes with El Capitan - but it still doesn't work, presumably because they're not supporting El Capitan.
 

Pndrgnsvc

macrumors 6502
Original poster
Jun 13, 2008
454
26
Georgetown, Texas
FWIW: In hopes they would "prompt" IBM, I wrote to USAA advising that the app (Trusteer) they recommend I use, is not compatible with El Capitán.

Sadly, I have not heard from they either...
 

MeltingSnowtime

macrumors newbie
Oct 18, 2015
1
0
Whether or not you need it, may depend on the bank's statement of your responsibility. In my case, one bank provides it but makes no statement about the urgency of using it. Another provides a link for it within their "Your responsibilities" section in the Security statement. They use the word "should" rather than "must", but still, a clearer direction than the first bank.

HSBC Canada's page lists compatibility up to Snow Leopard and Safari 6. They didn't seem very concerned about this section of their website maintenance. The download link goes to Trusteer though, so one gets the most current version. As of October 18, Trusteer's website still lists Safari 9 but only Yosemite.

ScotiaBank also provides a link that directs to the Trusteer website for download.

I noticed that after my El Capitan update, the Trusteer software was moved into the "Macintosh HD -> Incompatible Software" folder. That is why the icons no longer show up. It doesn't get loaded.
 

ukdoodlebug

macrumors newbie
Oct 8, 2015
11
1
St Ives, Cambridgeshire, UK
Whether or not you need it, may depend on the bank's statement of your responsibility. In my case, one bank provides it but makes no statement about the urgency of using it. Another provides a link for it within their "Your responsibilities" section in the Security statement. They use the word "should" rather than "must", but still, a clearer direction than the first bank.

HSBC Canada's page lists compatibility up to Snow Leopard and Safari 6. They didn't seem very concerned about this section of their website maintenance. The download link goes to Trusteer though, so one gets the most current version. As of October 18, Trusteer's website still lists Safari 9 but only Yosemite.

ScotiaBank also provides a link that directs to the Trusteer website for download.

I noticed that after my El Capitan update, the Trusteer software was moved into the "Macintosh HD -> Incompatible Software" folder. That is why the icons no longer show up. It doesn't get loaded.
Well, since updating to El Capitan, I still have Rapport running and the icon still appears at the top of the screen, in my menu extras. In System Preferences, I am informed that it is running - but of course it isn't working and the icon doesn't appear in either my Safari 9 or Firefox 41 address bar. I am expecting things to stay like this until IBM provides support for El Capitan.
 

PresslyM

macrumors newbie
Oct 9, 2015
2
0
There's an App for That
Our bank, SunTrust, has an app that allows me to access Online Cash Manager from my iPod Touch, which gets me around the OS X issue. Our CFO had to authorize me to access the site via mobile, but that was an easy change in my user profile.
 

anton1s

macrumors member
Jun 17, 2012
59
0
Many thanks, doodlebug! I never would have known about the update were it not for you. The Trusteer in-app "check for updates" was/is worthless (at least for moi).
I am assuming 3.6.1507.30 is not the latest one right? This is the latest one I got via using the "check for updates"
 

Pndrgnsvc

macrumors 6502
Original poster
Jun 13, 2008
454
26
Georgetown, Texas
In case your Auto Update, doesn't...

Trusteer is now at 3.6.1507.49

And BTW, though infrequent, Trusteer is known to cause KPs. What, if anything, IBM does about this, well, I won't hold my breath. Too bad they're not a software company.
 

IainB

macrumors newbie
Nov 26, 2003
9
0
Well, I have downloaded twice now the latest version which they say works with El Cap, but System Preferences just crashes when I try to open the Pane. I uninstalled the old one, restarted etc etc. Anyone else?
 

Pndrgnsvc

macrumors 6502
Original poster
Jun 13, 2008
454
26
Georgetown, Texas
Well, I have downloaded twice now the latest version which they say works with El Cap, but System Preferences just crashes when I try to open the Pane. I uninstalled the old one, restarted etc etc. Anyone else?
You're sure you have the latest version? I ask because I found that sometimes, even a fresh download results in an older, version being downloaded.

And even with the new/current version, KPs are not unknown.

FWIW, when I installed the current version, I got an alert advising that some plugin was incompatible. Now, I'm sorry that I did not keep detailed notes re the exact wording of that alert.

And sadly, I think their tech support is dreadful-
 

IainB

macrumors newbie
Nov 26, 2003
9
0
Thanks for your reply. Several other threads I have looked at essentially say 'Don't bother with Rapport' so I'll probably give it one more go and then leave it if it doesn't work for me.

I got the download from the Trusteer link that said 'Now compatible with ElCapitan.' Which release number do you think it should be?